sunos-1
来自「实战Linux编程的原代码,希望对学驱动的人能有所帮助」· 代码 · 共 30 行
TXT
30 行
#!/bin/sh# Make sure that rm -r '' fails.# On SunOS 4.1.3, running rm -r '' in a nonempty directory may# actually remove files with names of entries in the current directory# but relative to `/' rather than relative to the current directory.if test "$VERBOSE" = yes; then set -x rm --versionfipwd=`pwd`t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$trap 'status=$?; cd $pwd; rm -rf $t0 && exit $status' 0trap '(exit $?); exit' 1 2 13 15framework_failure=0mkdir -p $tmp || framework_failure=1cd $tmp || framework_failure=1if test $framework_failure = 1; then echo "$0: failure in testing framework" 1>&2 (exit 1); exitfifail=0rm -r '' > /dev/null 2>&1 && fail=1(exit $fail); exit
⌨️ 快捷键说明
复制代码Ctrl + C
搜索代码Ctrl + F
全屏模式F11
增大字号Ctrl + =
减小字号Ctrl + -
显示快捷键?